Subscriptions
Authorization: Bearer ak_.... Required scope: read:sales. Pass entityId query (must match the key’s entity). Session cookie auth with x-entity-id is also supported in the browser.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidResponse Body
curl -X GET "https://example.com/api/sales/subscriptions?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08"Authorization: Bearer ak_.... Required scope: write:sales. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported in the browser.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Query Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/sales/subscriptions?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "planId": "string" }'Authorization: Bearer ak_.... Required scope: write:sales. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported in the browser.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PATCH "https://example.com/api/sales/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'Authorization: Bearer ak_.... Required scope: write:sales. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported in the browser.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/sales/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/generate-invoice?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "error": "string"}Authorization: Bearer ak_.... Required scope: write:sales. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported in the browser.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST "https://example.com/api/sales/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/dunning?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "action": "remind" }'Authorization: Bearer ak_.... Required scope: write:sales. Pass entityId query or JSON body (must match the key’s entity). Session cookie auth with x-entity-id is also supported in the browser.
Authorization
bearerAuth Create keys under Settings → API keys. Prefix ak_. Send as Authorization: Bearer ak_....
In: header
Path Parameters
uuidQuery Parameters
Entity UUID; must match the API key’s entity when using Bearer auth.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/sales/subscriptions/497f6eca-6276-4993-bfeb-53cbbbba6f08/change-plan?entityId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "newPlanId": "f1f5c646-a768-4f15-ab7e-5e3088389de0" }'{ "error": "string"}